package service

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestDeduction(t *testing.T) {
	// 医疗标讯搜索	lyh_yl_ylbxss
	// 医疗机构搜索	lyh_yl_yljgss
	// 经销商搜索		lyh_yl_jxsss
	// 医疗机构画像	lyh_yl_yljghx
	// 医疗机构认领	lyh_yl_yljgrl
	// 经销商认领		lyh_yl_jxsrl
	status, err := Deduction("10000", "ai_helper", 13485, 0, 1, []string{"test"})
	assert.Nil(t, err)
	assert.Equal(t, int64(1), status)
}
